//
// StringEscapeUtils.m
// GoToBus
//
// Created by haibara on 9/8/14.
//
//

#import "StringEscapeUtils.h"
#import <GoogleToolboxForMac/GTMNSString+HTML.h>
#import "StringUtils.h"

@implementation StringEscapeUtils

+ (NSString *)unescapeXml:(NSString *)input {
	if ([StringUtils isEmpty:input]) {
		return input;
	}
	return [input gtm_stringByUnescapingFromHTML];
}

+ (NSString *)escapeXml:(NSString *)input {
	if ([StringUtils isEmpty:input]) {
		return input;
	}
	return [input gtm_stringByEscapingForHTML];
}

@end
